Bug 43594 - setenv.sh/setenv.bat seems a better candidate for CATALINA_BASE
setenv.sh/setenv.bat seems a better candidate for CATALINA_BASE
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
Nightly Build
Other other
: P5 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-10-10 16:44 UTC by Shaddy Baddah
Modified: 2008-01-06 15:13 UTC (History)
1 user (show)



Attachments
*was* Patch to extend sourcing of setenv.sh/setenv.bat to CATALINA_BASE but this is wrong. Please look for tc5.5.x-setenv-taketwo-patch.diff (1.29 KB, patch)
2007-10-10 16:46 UTC, Shaddy Baddah
Details | Diff
Correct patch to extend sourcing of setenv.sh/setenv.bat to CATALINA_BASE (1.29 KB, patch)
2007-10-10 16:56 UTC, Shaddy Baddah
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shaddy Baddah 2007-10-10 16:44:26 UTC
In my opinion, setenv.sh/setenv.bat  seems a better candidate for CATALINA_BASE.
And I'm canvassing for opinions that agree or disagree.

In terms of rationale, I think those that understand the concept of having a
separate CATALINA_BASE/CATALINA_HOME will see the obvious rationale there.
setenv.sh/setenv.bat is the container of settings for a Tomcat instance, so you
should be able to have different settings for different Tomcat instances
deployed against one installed version of Tomcat.

I will attach a patch that implements this.
Comment 1 Shaddy Baddah 2007-10-10 16:46:06 UTC
Created attachment 20953 [details]
*was* Patch to extend sourcing of setenv.sh/setenv.bat to CATALINA_BASE

but this is wrong. Please look for tc5.5.x-setenv-taketwo-patch.diff

Patch to extend sourcing of setenv.sh/setenv.bat to CATALINA_BASE
Comment 2 Shaddy Baddah 2007-10-10 16:56:35 UTC
Created attachment 20954 [details]
Correct patch to extend sourcing of setenv.sh/setenv.bat to CATALINA_BASE

Correct patch to extend sourcing of setenv.sh/setenv.bat to CATALINA_BASE
Comment 3 Mark Thomas 2007-12-01 11:52:54 UTC
I like it!

Many thanks for the patch. I have applied it to trunk and proposed it for back
port to 5.5.x and 6.0.x
Comment 4 Mark Thomas 2008-01-06 15:13:33 UTC
Fixed in 5.5.x and will be included in 5.5.26 onwards.